// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/offer_mobile.proto

package order_mobile

import (
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Accept Offer
type AcceptOfferRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Offer id
	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *AcceptOfferRequest) Reset() {
	*x = AcceptOfferRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AcceptOfferRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AcceptOfferRequest) ProtoMessage() {}

func (x *AcceptOfferRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AcceptOfferRequest.ProtoReflect.Descriptor instead.
func (*AcceptOfferRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{0}
}

func (x *AcceptOfferRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type AcceptOfferResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AcceptOfferResponse) Reset() {
	*x = AcceptOfferResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AcceptOfferResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AcceptOfferResponse) ProtoMessage() {}

func (x *AcceptOfferResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AcceptOfferResponse.ProtoReflect.Descriptor instead.
func (*AcceptOfferResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{1}
}

var File_v1_order_mobile_offer_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_offer_mobile_proto_rawDesc = []byte{
	0x0a, 0x22, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x1a,
	0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x24, 0x0a, 0x12, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x15, 0x0a, 0x13, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xad, 0x0b,
	0x0a, 0x0c, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x61,
	0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65,
	0x73, 0x73, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72,
	0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72,
	0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x19, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x34, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50,
	0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x2c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a,
	0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12,
	0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x72,
	0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x10,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x6b, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x0e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x29,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x55, 0x0a, 0x08, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x12, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x58, 0x0a, 0x09,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x0b, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65,
	0x2e, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x46, 0x69, 0x6c, 0x65, 0x12, 0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66,
	0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x64, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x5c, 0x0a,
	0x1c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a,
	0x37, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f,
	0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67,
	0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_order_mobile_offer_mobile_proto_rawDescOnce sync.Once
	file_v1_order_mobile_offer_mobile_proto_rawDescData = file_v1_order_mobile_offer_mobile_proto_rawDesc
)

func file_v1_order_mobile_offer_mobile_proto_rawDescGZIP() []byte {
	file_v1_order_mobile_offer_mobile_proto_rawDescOnce.Do(func() {
		file_v1_order_mobile_offer_mobile_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_mobile_offer_mobile_proto_rawDescData)
	})
	return file_v1_order_mobile_offer_mobile_proto_rawDescData
}

var file_v1_order_mobile_offer_mobile_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_v1_order_mobile_offer_mobile_proto_goTypes = []interface{}{
	(*AcceptOfferRequest)(nil),                      // 0: fcp.order.v1.order_mobile.AcceptOfferRequest
	(*AcceptOfferResponse)(nil),                     // 1: fcp.order.v1.order_mobile.AcceptOfferResponse
	(*order.ListOfferProcessRequest)(nil),           // 2: fcp.order.v1.order.ListOfferProcessRequest
	(*order.ListOfferProcessTypeRequest)(nil),       // 3: fcp.order.v1.order.ListOfferProcessTypeRequest
	(*order.ListOfferDeliveryConditionRequest)(nil), // 4: fcp.order.v1.order.ListOfferDeliveryConditionRequest
	(*order.ListOfferPaymentConditionRequest)(nil),  // 5: fcp.order.v1.order.ListOfferPaymentConditionRequest
	(*order.ListOfferCategoryRequest)(nil),          // 6: fcp.order.v1.order.ListOfferCategoryRequest
	(*order.ListOfferBrandRequest)(nil),             // 7: fcp.order.v1.order.ListOfferBrandRequest
	(*order.ListOfferProductRequest)(nil),           // 8: fcp.order.v1.order.ListOfferProductRequest
	(*order.ListOfferQuantityTypeRequest)(nil),      // 9: fcp.order.v1.order.ListOfferQuantityTypeRequest
	(*order.ListOfferNamesRequest)(nil),             // 10: fcp.order.v1.order.ListOfferNamesRequest
	(*order.GetOfferRequest)(nil),                   // 11: fcp.order.v1.order.GetOfferRequest
	(*order.ListOfferRequest)(nil),                  // 12: fcp.order.v1.order.ListOfferRequest
	(*order.GetOfferFileRequest)(nil),               // 13: fcp.order.v1.order.GetOfferFileRequest
	(*order.ListOfferFileRequest)(nil),              // 14: fcp.order.v1.order.ListOfferFileRequest
	(*order.DictResponse)(nil),                      // 15: fcp.order.v1.order.DictResponse
	(*order.ListOfferNamesResponse)(nil),            // 16: fcp.order.v1.order.ListOfferNamesResponse
	(*order.GetOfferResponse)(nil),                  // 17: fcp.order.v1.order.GetOfferResponse
	(*order.ListOfferResponse)(nil),                 // 18: fcp.order.v1.order.ListOfferResponse
	(*order.GetOfferFileResponse)(nil),              // 19: fcp.order.v1.order.GetOfferFileResponse
	(*order.ListOfferFileResponse)(nil),             // 20: fcp.order.v1.order.ListOfferFileResponse
}
var file_v1_order_mobile_offer_mobile_proto_depIdxs = []int32{
	2,  // 0: fcp.order.v1.order_mobile.OfferService.ListOfferProcess:input_type -> fcp.order.v1.order.ListOfferProcessRequest
	3,  // 1: fcp.order.v1.order_mobile.OfferService.ListOfferProcessType:input_type -> fcp.order.v1.order.ListOfferProcessTypeRequest
	4,  // 2: fcp.order.v1.order_mobile.OfferService.ListOfferDeliveryCondition:input_type -> fcp.order.v1.order.ListOfferDeliveryConditionRequest
	5,  // 3: fcp.order.v1.order_mobile.OfferService.ListOfferPaymentCondition:input_type -> fcp.order.v1.order.ListOfferPaymentConditionRequest
	6,  // 4: fcp.order.v1.order_mobile.OfferService.ListOfferCategory:input_type -> fcp.order.v1.order.ListOfferCategoryRequest
	7,  // 5: fcp.order.v1.order_mobile.OfferService.ListOfferBrand:input_type -> fcp.order.v1.order.ListOfferBrandRequest
	8,  // 6: fcp.order.v1.order_mobile.OfferService.ListOfferProduct:input_type -> fcp.order.v1.order.ListOfferProductRequest
	9,  // 7: fcp.order.v1.order_mobile.OfferService.ListOfferQuantityType:input_type -> fcp.order.v1.order.ListOfferQuantityTypeRequest
	10, // 8: fcp.order.v1.order_mobile.OfferService.ListOfferNames:input_type -> fcp.order.v1.order.ListOfferNamesRequest
	11, // 9: fcp.order.v1.order_mobile.OfferService.GetOffer:input_type -> fcp.order.v1.order.GetOfferRequest
	12, // 10: fcp.order.v1.order_mobile.OfferService.ListOffer:input_type -> fcp.order.v1.order.ListOfferRequest
	0,  // 11: fcp.order.v1.order_mobile.OfferService.AcceptOffer:input_type -> fcp.order.v1.order_mobile.AcceptOfferRequest
	13, // 12: fcp.order.v1.order_mobile.OfferService.GetOfferFile:input_type -> fcp.order.v1.order.GetOfferFileRequest
	14, // 13: fcp.order.v1.order_mobile.OfferService.ListOfferFile:input_type -> fcp.order.v1.order.ListOfferFileRequest
	15, // 14: fcp.order.v1.order_mobile.OfferService.ListOfferProcess:output_type -> fcp.order.v1.order.DictResponse
	15, // 15: fcp.order.v1.order_mobile.OfferService.ListOfferProcessType:output_type -> fcp.order.v1.order.DictResponse
	15, // 16: fcp.order.v1.order_mobile.OfferService.ListOfferDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	15, // 17: fcp.order.v1.order_mobile.OfferService.ListOfferPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	15, // 18: fcp.order.v1.order_mobile.OfferService.ListOfferCategory:output_type -> fcp.order.v1.order.DictResponse
	15, // 19: fcp.order.v1.order_mobile.OfferService.ListOfferBrand:output_type -> fcp.order.v1.order.DictResponse
	15, // 20: fcp.order.v1.order_mobile.OfferService.ListOfferProduct:output_type -> fcp.order.v1.order.DictResponse
	15, // 21: fcp.order.v1.order_mobile.OfferService.ListOfferQuantityType:output_type -> fcp.order.v1.order.DictResponse
	16, // 22: fcp.order.v1.order_mobile.OfferService.ListOfferNames:output_type -> fcp.order.v1.order.ListOfferNamesResponse
	17, // 23: fcp.order.v1.order_mobile.OfferService.GetOffer:output_type -> fcp.order.v1.order.GetOfferResponse
	18, // 24: fcp.order.v1.order_mobile.OfferService.ListOffer:output_type -> fcp.order.v1.order.ListOfferResponse
	1,  // 25: fcp.order.v1.order_mobile.OfferService.AcceptOffer:output_type -> fcp.order.v1.order_mobile.AcceptOfferResponse
	19, // 26: fcp.order.v1.order_mobile.OfferService.GetOfferFile:output_type -> fcp.order.v1.order.GetOfferFileResponse
	20, // 27: fcp.order.v1.order_mobile.OfferService.ListOfferFile:output_type -> fcp.order.v1.order.ListOfferFileResponse
	14, // [14:28] is the sub-list for method output_type
	0,  // [0:14] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_offer_mobile_proto_init() }
func file_v1_order_mobile_offer_mobile_proto_init() {
	if File_v1_order_mobile_offer_mobile_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_mobile_offer_mobile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AcceptOfferRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AcceptOfferResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_offer_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_offer_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_offer_mobile_proto_depIdxs,
		MessageInfos:      file_v1_order_mobile_offer_mobile_proto_msgTypes,
	}.Build()
	File_v1_order_mobile_offer_mobile_proto = out.File
	file_v1_order_mobile_offer_mobile_proto_rawDesc = nil
	file_v1_order_mobile_offer_mobile_proto_goTypes = nil
	file_v1_order_mobile_offer_mobile_proto_depIdxs = nil
}
